NVIDIA Logo - Artificial Intelligence Computing Leadership from NVIDIA
License Server - Failure at Start
Hi, I installed the NVIDIA vGPU Software License Server on a SUSE Linux Enterprise Server 15. The installation of the license server went fine and Tomcat is running fine on port 8080. However, the license server fails to start. The logs show the following error messages: [code]14:03:08,819 INFO Starting FlexNet License Server 2018.09 (build 241024) 14:03:08,828 INFO Copyright (C) 2013-2018 Flexera Software LLC. 14:03:08,828 INFO All Rights Reserved. 14:03:08,829 INFO Running as a service 14:03:38,615 ERROR Server configuration is not setup 14:03:38,624 ERROR #3 14:03:38,626 WARN Exception encountered during context initialization - cancelling refresh attempt: org.springframework.beans.factory.UnsatisfiedDependencyException[/code] Also, there are a bunch of spring errors in the logs. How can I setup the server configuration and does this solve the spring errors? Best regards, Florian
Hi,

I installed the NVIDIA vGPU Software License Server on a SUSE Linux Enterprise Server 15. The installation of the license server went fine and Tomcat is running fine on port 8080. However, the license server fails to start. The logs show the following error messages:

14:03:08,819 INFO  Starting FlexNet License Server 2018.09 (build 241024)
14:03:08,828 INFO Copyright (C) 2013-2018 Flexera Software LLC.
14:03:08,828 INFO All Rights Reserved.
14:03:08,829 INFO Running as a service
14:03:38,615 ERROR Server configuration is not setup
14:03:38,624 ERROR #3
14:03:38,626 WARN Exception encountered during context initialization - cancelling refresh attempt: org.springframework.beans.factory.UnsatisfiedDependencyException


Also, there are a bunch of spring errors in the logs.

How can I setup the server configuration and does this solve the spring errors?

Best regards,
Florian

#1
Posted 02/07/2019 02:07 PM   
Hi, please use a supported platform: Linux Operating Systems Supported Red Hat Enterprise Linux 7.3 64-bit CentOS 7.3 64-bit Since 2018.06: Ubuntu 16.04 64-bit regards Simon
Hi,

please use a supported platform:

Linux Operating Systems Supported
Red Hat Enterprise Linux 7.3 64-bit
CentOS 7.3 64-bit
Since 2018.06: Ubuntu 16.04 64-bit

regards
Simon

#2
Posted 02/09/2019 08:44 PM   
I'm running into this same issue on a "supported platform". Though as far as I can tell from the current version of the grid license server user guide, there is no supported platform list for the license server itself. In any case, I'm running Ubuntu 16.04 64-bit and getting the exact same error as the OP. This is a fresh install of ubuntu on a new VM with the requirements installed exactly as described in the license server user guide. What is the solution? Thanks, Tim
I'm running into this same issue on a "supported platform". Though as far as I can tell from the current version of the grid license server user guide, there is no supported platform list for the license server itself.

In any case, I'm running Ubuntu 16.04 64-bit and getting the exact same error as the OP. This is a fresh install of ubuntu on a new VM with the requirements installed exactly as described in the license server user guide.

What is the solution?

Thanks,
Tim

#3
Posted 03/22/2019 10:49 PM   
Following up on this because I got it working. The solution is to downgrade the jdk version to 1.8 and reinstall the license server. Just downgrading the jdk version and restarting tomcat does not make the license server work, you must remove the license server and re-run the installer with 1.8 as well.
Following up on this because I got it working. The solution is to downgrade the jdk version to 1.8 and reinstall the license server. Just downgrading the jdk version and restarting tomcat does not make the license server work, you must remove the license server and re-run the installer with 1.8 as well.

#4
Posted 03/27/2019 03:03 PM   
Scroll To Top

Add Reply